std::queue::size(3)

NAME
std::queue::size - std::queue::size

Synopsis
   size_type size() const;
   Returns the number of elements in the underlying container, that is, c.size().

Parameters
   (none)

Return value
   The number of elements in the container.

Complexity
   Constant.

Example
// Run this code
 #include <algorithm>
 #include <iostream>
 #include <queue>
 int main()
 {
     std::queue<int> container;
     std::cout << "Initially, container.size(): " << container.size() << '\n';
     for (int i = 0; i < 7; ++i)
         container.push(i);
     std::cout << "After adding elements, container.size(): " << container.size() << '\n';
 }

Output:
 Initially, container.size(): 0
 After adding elements, container.size(): 7

See also
   empty checks whether the underlying container is empty
         (public member function)